CVE-2006-0315
CVSS5.8
发布时间 :2006-01-18 20:03:00
修订时间 :2008-09-05 16:58:55
NMCO    

[原文]index.php in EZDatabase before 2.1.2 does not properly cleanse the p parameter before constructing and including a .php filename, which allows remote attackers to conduct directory traversal attacks, and produces resultant cross-site scripting (XSS) and path disclosure.


[CNNVD]EZDatabase Index.PHP跨站脚本攻击漏洞(CNNVD-200601-222)

        EZDatabase 2.1.2之前版本中的index.php,在建构和包含.php文件名之前未适当清除p参数,远程攻击者可以执行目录遍历攻击,并导致发生跨站脚本攻击(XSS)和路径披露问题。

- CVSS (基础分值)

CVSS分值: 5.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0315
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0315
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200601-222
(官方数据源) CNNVD

- 其它链接及资源

http://zur.homelinux.com/Advisories/ezdatabase_dir_trans.txt
(UNKNOWN)  MISC  http://zur.homelinux.com/Advisories/ezdatabase_dir_trans.txt
http://www.securityfocus.com/bid/16257
(UNKNOWN)  BID  16257
http://www.securityfocus.com/archive/1/archive/1/422071/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060115 EZDatabase Directory Transversal, XSS and Path Disclosure Vulnerability
http://secunia.com/advisories/18043
(VENDOR_ADVISORY)  SECUNIA  18043
http://archives.neohapsis.com/archives/fulldisclosure/2006-01/0515.html
(VENDOR_ADVISORY)  FULLDISC  20060115 EZDatabase Directory Transversal, XSS and Path Disclosure Vulnerability
http://xforce.iss.net/xforce/xfdb/24135
(UNKNOWN)  XF  ezdatabase-index-p-path-disclosure(24135)
http://xforce.iss.net/xforce/xfdb/24134
(UNKNOWN)  XF  ezdatabase-index-p-xss(24134)
http://www.osvdb.org/22684
(UNKNOWN)  OSVDB  22684

- 漏洞信息

EZDatabase Index.PHP跨站脚本攻击漏洞
中危 跨站脚本
2006-01-18 00:00:00 2006-01-20 00:00:00
远程  
        EZDatabase 2.1.2之前版本中的index.php,在建构和包含.php文件名之前未适当清除p参数,远程攻击者可以执行目录遍历攻击,并导致发生跨站脚本攻击(XSS)和路径披露问题。

- 公告与补丁

        

- 漏洞信息

22684
ezDatabase index.php p Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

ezDatabase contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'p' variable upon submission to the 'index.php' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-01-15 Unknow
2006-01-15 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站